<?php

use Illuminate\Database\Seeder;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Str;

class SettingSeeder extends Seeder
{

    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        DB::table('settings')->insert([
            ['key' => 'website_name', 'value' => 'MARKETZY', 'created_at' => now()],
            ['key' => 'keywords', 'value' => 'MARKETZY', 'created_at' => now()],
            ['key' => 'meta_description', 'value' => 'MARKETZY', 'created_at' => now()],
            ['key' => 'site_email', 'value' => 'marketzy@mail.com', 'created_at' => now()],
            ['key' => 'site_address', 'value' => ' 255 Street, R-25, H-02, Jeddah', 'created_at' => now()],
            ['key' => 'postbox', 'value' => ' ص.ب 286778 الرياض 11323', 'created_at' => now()],
            ['key' => 'site_phone', 'value' =>  '+966-48521225', 'created_at' => now()],
            ['key' => 'mail_driver', 'value' =>'smtp', 'created_at' => now()],
            ['key' => 'mail_host', 'value' =>'localhost', 'created_at' => now()],
            ['key' => 'mail_port', 'value' => 587, 'created_at' => now()],
            ['key' => 'mail_username', 'value' =>'marketzy@mail.com', 'created_at' => now()],
            ['key' => 'mail_password', 'value' =>'vTCfnbe1g4{2', 'created_at' => now()],
            ['key' => 'mail_encryption', 'value' => null, 'created_at' => now()],
            ['key' => 'mail_from_address', 'value' =>'marketzy@mail.com', 'created_at' => now()],
            ['key' => 'mail_from_name', 'value' =>'MARKETZY', 'created_at' => now()],
            ['key' => 'facebook', 'value' =>'https://www.facebook.com', 'created_at' => now()],
            ['key' => 'twitter', 'value' =>'https://www.twitter.com', 'created_at' => now()],
            ['key' => 'instagram', 'value' =>'https://www.instagram.com', 'created_at' => now()],
            ['key' => 'linkedin', 'value' =>'https://www.linkedin.com', 'created_at' => now()],
            ['key' => 'whatsapp', 'value' =>'+96648521225', 'created_at' => now()],
            ['key' => 'website_link', 'value' => 'www.Marketzy.com', 'created_at' => now()],
            ['key' => 'website_logo', 'value' => 'logo.png', 'created_at' => now()],
            ['key' => 'website_disable', 'value' => 0, 'created_at' => now()],
            ['key' => 'dashboard_disable', 'value' => 0, 'created_at' => now()],
        ]);

//        DB::table('settings')->update(['created_at' => now()]);
    }
}
